export declare class MonkeyEcxUtils {
    static persistNullEmptyUndefined(tp: any): boolean;
    static getDocumentType(doc: string, country?: string): "" | "CPF" | "CNPJ" | "RUT" | "RFC" | "EIN";
    static getDocumentMask(type: string, country?: string): any;
    static getDocumentPlaceholder(type: string, country?: string): any;
    static formatDocumentWithMask(doc: string, withType?: boolean, country?: string): string;
    static cutFirstLastName(value: string, tp?: string): string;
    static isCPFCNPJValid(document: any): boolean;
    static isValidRUT(document: string): boolean;
    static isValidRFC(document: string): boolean;
    static isValidUrl(txt: string): boolean;
    static isValidZipCode(zipCode: string, country?: string): boolean;
    static isValidEmail(email: string): boolean;
    static getRandomString(len: number, charSet?: string): string;
    static handleOnlyNumbers(value: any): any;
    static handleOnlyAlphaNumeric(value: any): any;
    static capitalize(value: string): string;
    static formatZipCode(zipCode: string): string;
    static formatFileSize(size: number): string;
    static sufflue(data: any[]): any[];
    static handleBlobFile(theBlob: any, fileName: string, fileType: string): any;
    static truncate(text: string, maxLength?: number): string;
    static isLocalhost(): boolean;
    static isSameOrigin(frontend: string): boolean;
    static replaceVariables(data: string, obj: any): string;
    static trimValuesToSave(obj: any, fields: string[]): any;
}
export declare type MonkeyEcxLogsErrorTypes = 'ok' | 'debug' | 'info' | 'notice' | 'warn' | 'error' | 'critical' | 'alert' | 'emerg';
export declare type MonkeyEcxLogParams = {
    message: string;
    context?: any;
    error?: Error;
    type?: MonkeyEcxLogsErrorTypes;
};
export declare class MonkeyEcxLogs {
    static log(params: MonkeyEcxLogParams): void;
}
export declare function bufferToBase64(buffer: ArrayBuffer): string;
export declare function base64ToBuffer(base64: string): ArrayBuffer;
